Home Help Center

linux compile error

Hi,

Im trying to compile Ice-1.1.1 on a Gnu/Debian (sid) system using the patch for debian posted in the patch forum. However Im still having problems with DB.
After running make, I get the following error report...

c++ -c -I.. -I../../include -DFREEZE_API_EXPORTS -g -ftemplate-depth-128 -fPIC -Wall -D_REENTRANT DBI.cpp
In file included from DBI.cpp:17:
../Freeze/DBI.h:24:6: #error "Berkeley DB versions older than 3.3 are not supported!"
DBI.cpp: In member function `virtual Long Freeze::DBI::getNumberOfRecords()':
DBI.cpp:789: too few arguments to function
DBI.cpp: In member function `virtual void Freeze::DBI::clear()':
DBI.cpp:882: no matching function for call to `__db::truncate(DB*&, int,
u_int32_t*, int)'
make[1]: *** [DBI.o] Error 1
make[1]: Leaving directory `/home/tiberius/src/Ice-1.1.1/src/Freeze'
make: *** [all] Error 1



line 789 of DBI.cpp is :
checkBerkeleyDBReturn(_db->stat(_db, &s, 0), _errorPrefix, "DB->stat");

thanks for any suggestions

Comments

  • marcmarc FloridaAdministrators, ZeroC Staff Marc LaukienOrganization: ZeroC, Inc.Project: The Internet Communications Engine ZeroC Staff
    What version of Berkeley DB do you use? The #error says that you have a version < 3.3, which we do not support.
  • got it

    Hi Marc,

    Thanks for the help. It turns out I didn't have up to date DB-dev files. Now I have 4.1 so Im straight.

    Sorry for the trouble

    Tim
Sign In or Register to comment.